Package com.sun.jna.platform.win32

## Class LMJoin.NETSETUP_JOIN_STATUS

- java.lang.Object
- - com.sun.jna.platform.win32.LMJoin.NETSETUP_JOIN_STATUS

Enclosing interface:
  LMJoin

    public abstract static class LMJoin.NETSETUP_JOIN_STATUS
    extends java.lang.Object

Status of a workstation.

### Field Summary

Fields
`static int` `NetSetupDomainName`
`static int` `NetSetupUnjoined`
`static int` `NetSetupUnknownStatus`
`static int` `NetSetupWorkgroupName`

### Constructor Summary

Constructors
`NETSETUP_JOIN_STATUS()`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### NetSetupUnknownStatus

    public static final int NetSetupUnknownStatus

See Also:
  Constant Field Values

#### NetSetupUnjoined

    public static final int NetSetupUnjoined

See Also:
  Constant Field Values

#### NetSetupWorkgroupName

    public static final int NetSetupWorkgroupName

See Also:
  Constant Field Values

#### NetSetupDomainName

    public static final int NetSetupDomainName

See Also:
  Constant Field Values

### Constructor Detail

#### NETSETUP_JOIN_STATUS

    public NETSETUP_JOIN_STATUS()